%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupalbase           %{_datadir}/%{drupal}
%global drupal_sites_all    %{drupalbase}/sites/all        
%global drupal_modules      %{drupal_sites_all}/modules
# Use upstream name as expressed in URL and tarball
%global modname             link

Name:    drupal%{drupalver}-%{modname}
Version: 2.10
Release: 1%{?dist}
Summary: Link Module for Drupal6 
Group:   Applications/Publishing
License: GPLv2
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6, drupal6-cck

%description
With this module links can be added easily to any content types and profiles 
and include advanced validating and different ways of storing internal or 
external links and URLs

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .


%install
rm -rf %{buildroot}
install -p -d %{buildroot}%{drupal_modules}/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupal_modules}/%{modname}/'{}' \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc  %{name}-fedora-README.txt
%doc %{drupal_modules}/%{modname}/LICENSE.txt
%exclude %{drupal_modules}/%{modname}/LICENSE.txt
%exclude %{drupal_modules}/%{modname}/%{name}-fedora-README.txt
%{drupal_modules}/%{modname}

%changelog

* Fri Mar 22 2013 Anderson Silva <ansilva@redhat.com> - 2.10-1
- Upstream update

* Thu Jun 7 2012 Anderson Silva <ansilva@redhat.com> - 2.9-3
- Update description
- Update LICENSE.txt with FSF mailing address 

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 2.9-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 2.9-1
- Initial rpm package
